// Table Deletion Example


#include <iostream.h>

#include <string.h>

#include <dew.h>


int main()
{
    // Start the engine.

    TDEWEngine engine;

    // Open a database.

    TDEWDatabase database;

    // Try to delete the table "DEW_TEST.DB".

    try {

        // Delete the table.

        database.DeleteTable("DEW_TEST.DB");

        cout << "Table successfully deleted." << endl;

    } catch(const TDEWException& exception) {

        // Report an error deleting the table.

        cerr << "Table could not be deleted: " << exception << endl;

    }

    return 0;
}