//
//  Database Engine Wrapper
//  Version 1.0
//  DEW.H
//  Copyright  1994
//  B. W. Bush
//  All rights reserved
//


#ifndef BWB_DEW
#define BWB_DEW


// Standard C++ library definitions.

#include <cstring.h>
#include <iostream.h>


// Standard C library definitions.

#include <stdio.h>


// Borland class library definitions.

#include <classlib\date.h>
#include <classlib\time.h>


// Borland database engine definitions.

#include <idapi.h>


// Supplementary type definitions.

typedef const BOOL far* pcBOOL;
typedef const BYTE far* pcBYTE;
typedef const CHAR far* pcCHAR;
typedef const CRTblDesc far* pcCRTblDesc;
typedef const DBIEnv far* pcDBIEnv;
typedef const FLDDesc far* pcFLDDesc;
typedef const IDXDesc far* pcIDXDesc;
typedef const RECProps far* pcRECProps;
typedef const SORTOrder far* pcSORTOrder;
typedef const UINT16 far* pcUINT16;


// Forward declarations of classes.

class MDEWObject;

class TDEWBlob;
class TDEWCursor;
class TDEWDatabase;
class TDEWEngine;
class TDEWException;
class TDEWFilter;
class TDEWRecord;
class TDEWSession;
class TDEWStatement;
class TDEWTransaction;


// Class declarations.

#include <exceptn.h>
#include <object.h>
#include <statemnt.h>
#include <transact.h>
#include <filter.h>
#include <blob.h>
#include <cursor.h>
#include <record.h>
#include <database.h>
#include <engine.h>
#include <session.h>


#endif // BWB_DEW
