//
//  Database Engine Wrapper
//  Version 1.0
//  SESSION.H
//  Copyright  1994
//  B. W. Bush
//  All rights reserved
//


#ifndef BWB_DEW_SESSION
#define BWB_DEW_SESSION


// TDEWSession class.

class TDEWSession
  : public MDEWObject
{
  public:

    TDEWSession(const pcCHAR = NULL, const pcCHAR = NULL);
    TDEWSession(TDEWEngine&);
    ~TDEWSession();

    void Close();
    hDBISes Handle() const {return fHSession;}
    void Open(const pcCHAR = NULL, const pcCHAR = NULL);
    void Open(TDEWEngine&);

  private:

    TDEWSession(const TDEWSession&) : fHSession(NULL) {}

    TDEWSession& operator=(const TDEWSession&) {if (IsOpen()) Close(); return *this;}

    hDBISes fHSession;
};


#endif // BWB_DEW_SESSION
